#include <bits/stdc++.h>
using namespace std;
long long labs(long long x){
if(x<0)return -x;
return x;
}
int main(){
long long x1,y1,x2,y2;
cin >>x1>>y1>>x2>>y2;
if(x1==x2||y1==y2){
cout<<2<<endl;
return 0;
}
if(labs(x2-x1)==labs(y2-y1))cout <<1<<endl;
else cout <<0<<endl;
}